Bug 214611

Summary: [PATCH] Update devel/p5-CPAN-Meta to 2.150010 and deprecate devel/p5-Parse-CPAN-Meta
Product: Ports & Packages Reporter: Sunpoet Po-Chuan Hsieh <sunpoet>
Component: Individual Port(s)Assignee: Sunpoet Po-Chuan Hsieh <sunpoet>
Status: Closed FIXED    
Severity: Affects Only Me CC: lth
Priority: --- Keywords: patch
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://reviews.freebsd.org/D8458

Description Sunpoet Po-Chuan Hsieh freebsd_committer 2016-11-17 17:10:31 UTC
Since Parse::CPAN::Meta 1.4420 has been merged into CPAN::Meta 2.150008,
I would like to deprecate devel/p5-Parse-CPAN-Meta and update
devel/p5-File-Find-Rule-Perl to use devel/p5-CPAN-Meta 2.150010+.

Ref: http://search.cpan.org/dist/CPAN-Meta/Changes
Comment 1 commit-hook freebsd_committer 2016-12-01 21:00:41 UTC
A commit references this bug:

Author: sunpoet
Date: Thu Dec  1 21:00:25 UTC 2016
New revision: 427515
URL: https://svnweb.freebsd.org/changeset/ports/427515

Log:
  - Update to 2.150010
  - Add LICENSE_FILE

  Changes:	http://search.cpan.org/dist/CPAN-Meta/Changes
  Differential Revision:	https://reviews.freebsd.org/D8458
  PR:		214611

Changes:
  head/devel/p5-CPAN-Meta/Makefile
  head/devel/p5-CPAN-Meta/distinfo
  head/devel/p5-CPAN-Meta/pkg-plist
Comment 2 commit-hook freebsd_committer 2016-12-01 21:01:44 UTC
A commit references this bug:

Author: sunpoet
Date: Thu Dec  1 21:00:30 UTC 2016
New revision: 427516
URL: https://svnweb.freebsd.org/changeset/ports/427516

Log:
  - Add CONFLICTS_INSTALL
  - Mark DEPRECATED and set EXPIRATION_DATE to 2016-12-31

  Parse::CPAN::Meta 1.4420 has been merged into CPAN::Meta 2.150008.

  PR:		214611
  Submitted by:	sunpoet (myself)
  Approved by:	maintainer (timeout, 14 days)

Changes:
  head/devel/p5-Parse-CPAN-Meta/Makefile
Comment 3 commit-hook freebsd_committer 2016-12-01 21:01:45 UTC
A commit references this bug:

Author: sunpoet
Date: Thu Dec  1 21:00:35 UTC 2016
New revision: 427517
URL: https://svnweb.freebsd.org/changeset/ports/427517

Log:
  - Update *_DEPENDS: change from p5-Parse-CPAN-Meta to p5-CPAN-Meta 2.150010+
  - Bump PORTREVISION for dependency change

  Parse::CPAN::Meta 1.4420 has been merged into CPAN::Meta 2.150008.

  PR:		214611
  Submitted by:	sunpoet (myself)
  Approved by:	maintainer (timeout, 14 days)

Changes:
  head/devel/p5-File-Find-Rule-Perl/Makefile
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2016-12-02 14:08:02 UTC
Committed. Thanks!